Download it now!
Bug 59865 - ERRORMESSAGE: "Search key not found" window title too verbose
Summary: ERRORMESSAGE: "Search key not found" window title too verbose
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: Other All
: low trivial
Assignee: Robert Roth
URL:
Whiteboard: BSA target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:20 UTC by clemty
Modified: 2013-01-30 13:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
"Search key not found" dialog with overly verbose title (32.05 KB, image/png)
2013-01-25 21:20 UTC, clemty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clemty 2013-01-25 21:20:24 UTC
Created attachment 73661 [details]
"Search key not found" dialog with overly verbose title

Problem description: 

Find & Replace errormessage has version number in title.

Steps to reproduce:
1. Ctrl-F
2. click on Magnifier
3. search for nonexistent string

Current behavior:
Trying to find nonexistent word results in a "Search key not found" messagebox - the title of this messagebox is "Libreoffice 4.0.0.2". This is inconsistent with other areas in LibreOffice (e.g. the "LibreOffice crashed" dialog only has "LibreOffice" in the window title)

Expected behavior:
In my opinion the most logical window title would be to repeat the "Find & Replace" string from the parent dialog.
Operating System: Windows 7
Version: 4.0.0.2 rc
Comment 1 Jorendc 2013-01-26 18:39:37 UTC
Thanks for reporting!

I can reproduce this 'problem' with the latest bibisectable 'bibisect40' version of LibreOffice: LibreOffice 3.5.0 Build ID: d6cde02

So this is not a 4.0 problem but this is older (maybe inherit from AOo).

* I set LO version of this bug to 3.5.0 (oldest version we can reproduce so far)
* Set bug priority following [1] as 'trivial'  'low'

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 2 Robert Roth 2013-01-28 01:15:14 UTC
As this bug also affects Linux, I am setting the affected OS to All.
Comment 3 Robert Roth 2013-01-28 01:35:14 UTC
You suggested that the title of the infobox should be the same as the title of the Find & Replace dialog, however you can also search from the search bar, when you have not started the search from the dialog. What should be the title in this case? As "Find & Replace" is not really fit, as the find bar does not have an option to replace.
Comment 4 Not Assigned 2013-01-28 09:46:13 UTC
Robert Roth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a29032c951c53ac889de2a7644ae4ac9beef28dc

Show meaningful title for search key not found infobox, fdo#59865



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2013-01-28 12:17:00 UTC
(In reply to comment #4)
> Robert Roth committed a patch related to this issue.
> It has been pushed to "master":

I can confirm this is resolved in latest master. Therefore VERIFIED FIXED.
Thanks for this patch!